giada (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
    + Refresh patches
  * Update mcl-audio-buffer
  * Include verbatim copy of 'geompp' (rather than patching it in)
  * Use dh_builtusing for Built-Using
  * Update d/watch
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 04 Oct 2025 18:29:08 +0200

giada (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
    + Drop obsolete patches
    + Refresh patches
  * Refresh vendored geompp library
  * Update missing sources for mcl-audio-buffer & mcl-atomic-swapper
  * Revised RtAudio dependency
    + Update RtAudio patch (Closes: #1073997)
  * Revised FLTK dependency
    + Bump B-D to fltk1.4-dev (Closes: #1100527)
    + Patch to build against Debian's FLTK
    + Hack to get linking against fltk to work
  * Revised JUCE dependency
    + B-D on juce-modules-source
    + Add patch to use Debian's JUCE
    + Stop copying JUCE sources around
    + Explicitly link against implicit dependencies of JUCE
  * Revised VST support
    + Enable VST3 support
    + Set VST2_SDK_PATH
    + Drop workarounds for FST bugs
  * Revised more dependency handling
    + Fix systemJPG/PNG patch
    + Add patch to use Debian's libconcurrentqueue
    + Patch to allow adding additional libraries to link against
    + Manually add flags for libcairo
    + Evaluate pkg-config only once
  * Fix typo in cleanup
  * Drop uneeded lintian-override
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Aug 2025 22:08:10 +0200

giada (0.22.0-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Build-Depend on libxcursor-dev & drop unused libwebkit2gtk-4.0-dev
    (Closes: #1061411)

  [ IOhannes m zmölnig ]
  * Update copyright information
    + Bump copyright dates
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 02 Feb 2024 11:43:11 +0100

giada (0.22.0-3) unstable; urgency=medium

  * Add patch to fix FTBFS with gcc-13 (Closes: #1037676)
  * Relax B-D to juce-modules-source-data

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Jul 2023 12:37:36 +0200

giada (0.22.0-2) unstable; urgency=medium

  * B-D on 'fluid'
  * Link against libz
  * Simplify pkg-config handling
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Jan 2023 22:47:49 +0100

giada (0.22.0-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.22.0
  * Refresh patchset, drop desktop file patch applied by upstream
  * Add libfmt-dev to B-Ds
  * Remove double comment entry from desktop file
  * Fix spelling error manifacturer -> manufacturer
  * Add lintian-overrides

  [ IOhannes m zmölnig ]
  * Run 'wrap-and-sort -ast'
  * Patch to fix FTBFS with JUCE-7.0.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 20 Aug 2022 08:54:15 +0200

giada (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0
  * Remove obsolete ds tag
  * Refresh patchset
  * Bump Standards Version to 4.6.1
  * Update mcl-audio-buffer in d/missing-sources
  * The desktop file is now correctly installed by upstream
  * Bring back keywords and translations to the desktop file and add german
    translation
  * Add metainfo file to d/copyright
  * Bump my d/copyright year
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 May 2022 18:50:55 +0200

giada (0.20.1+ds1-1) unstable; urgency=medium

  * New upstream version 0.20.1+ds1
    * Refresh patches
  * Add patch that fixes missing include
  * Update geompp library

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Mar 2022 15:40:12 +0100

giada (0.20.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.20.0+ds1
    - Refresh patches
  * Update dates in d/copyright
    - Regenerate d/copyright_hints
  * Bump d/watch version to 4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 02 Feb 2022 19:08:36 +0100

giada (0.19.2+ds1-1) unstable; urgency=medium

  * New upstream version 0.19.2+ds1
    - Refresh patches
  * Add 'licensecheck' target
    - Generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Jan 2022 09:13:23 +0100

giada (0.19.1+ds1-1) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Dec 2021 12:58:30 +0100

giada (0.19.1+ds1-1~exp1) experimental; urgency=medium

  * New upstream version 0.19.1+ds1

  [ IOhannes m zmölnig ]
  * Update patches
    + Drop obsolete patches
    + Refresh patches
  * Add patch for geompp library
  * Add patch to allow compilation with RtAudio-5.2
  * Add patch to fix underlinking against libjpeg and libpng
  * Modernize build with CMake
  * B-D on fst-dev
    + Apply some hacks for FST bugs
  * Versioned B-D on juce
  * Add missing upstream sources
  * Update d/copyright
  * Bump standards version to 4.6.0

  [ Olivier Humbert ]
  * Update README.source
  * d/install: use the upstream icon
  * d/giada.desktop: use the upstream icon
  * Delete giada.svg (we use the upstream logo now)
  * d/copyright: update year for me
  * d/install: typo fix

  [ Dennis Braun ]
  * Update rtmidi patch
  * d/control:
    + Bump dh-compat to 13
    + Add me as uploader
  * d/copyright:
    + Update Files-Excluded
    + Update copyright year
    + Add me to the d/ section
  * d/rules:
    + Update CXXFLAGS
    + Remove -Wl,--as-needed flags
    + Remove get-orig-source
  * d/copyright: Remove .travis* from Files-Excluded

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Dec 2021 09:48:37 +0100

giada (0.16.2.2+ds1-1) unstable; urgency=medium

  * New upstream version 0.16.2.2+ds1

  * Refresh patches
    * Refresh RtMidi patch
    * Dropped RtAudio patch
    * Refresh JUCE patch
  * Build against system-provided nlohmann-json3 library
    * Provide a patch for that as well
  * Fix spelling errors
  * Add salsa-ci configuration
  * Refresh d/copyright
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 02 Apr 2020 15:19:12 +0200

giada (0.15.4+ds1-1) unstable; urgency=medium

  * New upstream version 0.15.4+ds1

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * B-D on juce>=5.4.4 (Closes: #925695)
  * d/patches
    * Refresh patches
    * Refresh patches with 'gbp pq'
    * Add patch for JUCE-5.4.4 compatibility
  * Build requires C++14
  * Dropped unrecognized 'IX' macro from manpages
  * Drop obsolete d/source/local-options
  * Bump dh compat to 12
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Aug 2019 15:32:54 +0200

giada (0.15.2+ds1-2) unstable; urgency=medium

  * B-D and link against libcurl (Closes: #923898)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 06 Mar 2019 23:08:53 +0100

giada (0.15.2+ds1-1) unstable; urgency=medium

  * New upstream version 0.15.2+ds1
    * Refreshed patches
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 08 Sep 2018 18:22:39 +0200

giada (0.15.1+ds1-1) unstable; urgency=medium

  * New upstream version 0.15.1+ds1

  [ Olivier Humbert ]
  * debian/control :
    - Build-Depends: alphabetical order + one package per line
    - long description (lines were too short)
  * debian/copyright :
    - adding myself
  * debian/giada.desktop :
    - removes [es] name (no need since it's not translated)
    - adds Comment for EN and ES (then they get displayed when mouseovering the
      menu item)
    - adds French Generic Name and Comment
  * debian/giada.1 :
    - suppresses a duplicate (.TH)
  * debian/giada.fr.1 :
    - adds a French manpage (translated from the English one)
  * debian/giada.manpages :
    - install the French manpage

  [ IOhannes m zmölnig ]
  * Refreshed patches
  * Switched to +ds suffix (more widespread than +repack)
  * debian/control :
    - Set Rules-Requires-Root to no
    - Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Jul 2018 22:23:58 +0200

giada (0.15.0+repack1-2) unstable; urgency=medium

  * Dropped versioned depends on alsa/sndfile/samplerate
  * Added libatomic to riscv64 builds
  * Install updstream changelog

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 May 2018 10:20:47 +0200

giada (0.15.0+repack1-2~exp2) experimental; urgency=medium

  * Pass "-latomic" via the LIBS

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 May 2018 19:56:50 +0200

giada (0.15.0+repack1-2~exp1) experimental; urgency=medium

  * Link against libatomic (on platforms that require it)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 May 2018 16:36:00 +0200

giada (0.15.0+repack1-1) unstable; urgency=medium

  * New upstream version 0.15.0+repack1

  * Enabled VST support
    * Build with JUCE
  * Repacked sources
    * Exclude all travis-ci related stuff
    * Don't exclude VST files (dropped upstream)
    * Updated d/watch to new repacksuffix "+repack"
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 May 2018 21:10:08 +0200

giada (0.14.6~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.14.6~dfsg1

  [ Jaromír Mikeš ]
  * Patch forwarded.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig ]
  * Refreshed patches
  * Run unit-tests in fake-X environment
  * Updated maintainer email

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Apr 2018 21:39:36 +0200

giada (0.14.5~dfsg1-2) unstable; urgency=medium

  * Add patch to fix build on some archs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 17 Jan 2018 18:45:49 +0100

giada (0.14.5~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.14.5~dfsg1
  * Patches removed/updated.
  * Set dh/compat 11.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 16 Jan 2018 23:19:27 +0100

giada (0.14.4~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.14.4~dfsg1
  * Patch refreshed.
  * Vcs - use git instead of cgit.
  * Remove trailing-whitespaces.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 25 Nov 2017 16:35:14 +0100

giada (0.14.3~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.14.3~dfsg1

  [ Jaromír Mikeš ]
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patches refreshed.

  [ IOhannes m zmölnig ]
  * Updated patches
    * Updated patch headers for use with gbp-pq
    * Refreshed patches
    * Updated bundled RtAudio to RtAudio5
    * Added patch to fix compilation with g++-7 (Closes: #853418)
    * Added missing files to catch-patch
  * Dropped unneeded B-D on autotools-dev
  * Dropped override_dh_autoconf
  * Calculated BUILD_DATE based on SOURCE_DATE_EPOCH
  * Switched to https:// where possible
  * Fixed typo in d/README.source
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 30 Oct 2017 10:08:45 +0100

giada (0.14.1~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.14.1~dfsg1
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 24 Jul 2017 01:10:36 +0200

giada (0.14.0~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.14.0~dfsg1
  * Patch forwarded.
  * Bump Standards.
  * Add catch as B-D.
  * Add patch to test with system-wide catch.
  * Update copyright file.
  * Remove not-needed override file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 11:43:49 +0200

giada (0.13.2~dfsg1-1) unstable; urgency=medium

  * Remove more files on repack.
  * New upstream version 0.13.2~dfsg1
  * Patches deleted/refreshed.
  * Clean up rules file.
  * Remove B-D dh_autoreconf.
  * Update copyright file.
  * Sign tags.
  * Install only svg icon.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Jan 2017 18:51:32 +0100

giada (0.13.1~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.13.1~dfsg1
  * Patch refreshed.
  * Set dh/compat 10.
  * Add patch to fix FTBFS.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 21 Nov 2016 09:32:55 +0100

giada (0.13.0~dfsg1-1) unstable; urgency=medium

  * New upstream version 0.13.0~dfsg1
  * Refresh patch.
  * Drop patches applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 02 Sep 2016 01:35:02 +0200

giada (0.12.2~dfsg1-3) unstable; urgency=medium

  * Add patch to build with gcc6 (Closes: ##831183).
  * Numbering patches.
  * Tune .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 25 Jul 2016 01:09:36 +0200

giada (0.12.2~dfsg1-2) unstable; urgency=medium

  * Add patch to build with new rtmidi lib. (Closes: #828955)
    Thanks to James Cowgill <jcowgill@debian.org>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 Jul 2016 16:03:13 +0200

giada (0.12.2~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.12.2~dfsg1
  * Patch refreshed.
  * Update copyright file.
  * Fix hardening.
  * Add overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 22 Jun 2016 14:41:40 +0200

giada (0.12.1~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.12.1~dfsg1
    * Dropped embedded copy of non-free ASIO SDK in rtaudio-mod
      that had accidentally crept in with 0.11.0 (Closes: #823318)
  * Dropped patches applied upstream.
  * Dropped references to JUCE
  * Bumped to standards version 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 May 2016 15:54:31 +0200

giada (0.11.2~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.11.2~dfsg

  * File-Exclude bundled libraries
    * Explain repacking in detail
    * Simplified get-orig-source rule
    * Added repack-suffix to debian/watch
  * Refreshed patches
  * Skip tests that require missing files
  * Clean up in rtaudio-mod directory
  * Use https:// in Vcs-Git stanza
  * Bumped standards to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Feb 2016 15:39:16 +0100

giada (0.11.0~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.11.0~dfsg1
  * Patch applied upstream.
  * Add libjansson-dev as build dep.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 02 Dec 2015 09:45:41 +0100

giada (0.10.2~dfsg1-2) unstable; urgency=medium

  * unit-tests
    * Made tests failing more verbosely
    * Set ${HOME} to /tmp
  * debian/README.source
    * Documented git-tuneclone.sh
    * Fixed typos

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Nov 2015 00:15:05 +0100

giada (0.10.2~dfsg1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Imported Upstream version 0.10.2~dfsg1

  [ IOhannes m zmölnig ]
  * Enable C++11 to prevent FTBFS in tests
  * Made build reproducible
    * Patch to allow setting of DATE in about-dialog
    * Set BUILD_DATE to date from debian/changelog
  * Removed giada.menu
    (in response to the tech-ctte decision on #741573)
  * Updated debian/copyright
  * Updated Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 06 Nov 2015 22:28:02 +0100

giada (0.10.1~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.1~dfsg1
  * Remove patch - apllied upstream.
  * Refresh patch.
  * Upstream build changed - tune rules file accordingly.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 03:43:59 +0200

giada (0.10.0~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.0~dfsg1
  * Patches refreshed.
  * Added spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 07 Jul 2015 14:40:16 +0200

giada (0.9.6~dfsg1-3) unstable; urgency=medium

  * Fixed FTBFS due to parenthesization (Closes: #791544)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 07 Jul 2015 11:20:10 +0200

giada (0.9.6~dfsg1-2) unstable; urgency=medium

  * Attempt to fix build on arm64 and ppc64el.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 18 Jun 2015 09:58:19 +0200

giada (0.9.6~dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: Bug#786610)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 08 Apr 2015 14:59:44 +0200
